package com.usky.system.service;

import com.usky.system.domain.HceCategory;
import com.usky.common.mybatis.core.CrudService;
import com.usky.system.service.vo.HceCategoryListVO;
import com.usky.system.service.vo.HceCategoryVO;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * <p>
 * 帮助中心_栏目管理 服务类
 * </p>
 *
 * @author han
 * @since 2023-08-29
 */
public interface HceCategoryService extends CrudService<HceCategory> {

    List<HceCategoryListVO> page(HceCategoryVO hceCategoryVO);

    List<HceCategoryListVO> pageWhite(HceCategoryVO hceCategoryVO);

    void add(HceCategory hceCategory);

    void update(HceCategory hceCategory);

    void remove(Integer id);

}
